Security updates available for Adobe Digital Editions | APSB17-27
Bulletin ID Date Published Priority
APSB17-27 August 08, 2017 2

Summary

Adobe has released a security update for Adobe Digital Editions for Windows, Macintosh, iOS and Android. This update resolves a critical heap buffer overflow vulnerability that could lead to code execution, seven memory corruption vulnerabilities rated important that could lead to disclosure of memory addresses and an XML external entity processing vulnerability rated critical that could lead to information disclosure.

Affected product versions

Product Version Platform
Adobe Digital Editions 4.5.4 and earlier versions Windows, Macintosh, iOS and Android

Solution

Adobe categorizes these updates with the following priority ratings and recommends users update their installation to the newest version:

Product Version Platform Priority Availability
Adobe Digital Editions 4.5.6 Windows 2 Download Page
Macintosh 2 Download Page
iOS 2 iTunes
Android 2 Playstore

Note:

  • Customers using Adobe Digital Editions 4.5.5 can download the update from the Adobe Digital Editions download page, or utilize the product’s update mechanism when prompted.
  • For more information, please reference the release notes.

Vulnerability details

Vulnerability Category Vulnerability Impact Severity CVE Numbers
Buffer Overflow Remote code execution Critical CVE-2017-11274
Memory Corruption Memory address disclosure Important CVE-2017-3091, CVE-2017-11275, CVE-2017-11276, CVE-2017-11277, CVE-2017-11278, CVE-2017-11279, CVE-2017-11280
XML External Entity Parsing Information Disclosure Critical CVE-2017-11272

Acknowledgments

Adobe would like to thank the following individuals and organizations for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Steven Seeley of Source Incite (CVE-2017-11272)
  • Steven Seeley of Source Incite working with Trend Micro's Zero Day Initiative (CVE-2017-3091, CVE-2017-11274)
  • Jaanus Kääp, Clarified Security (CVE-2017-11275, CVE-2017-11276, CVE-2017-11277, CVE-2017-11278, CVE-2017-11279)
  • Riusksk of Tencent Security Platform Department (CVE-2017-11280)  

Revisions

August 21, 2017: Updated the affected version from 4.5.5 to 4.5.4 and earlier.